package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.AccompanimentTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description 平台 老师详情 展示数据
 *
 * @author liujunchi
 * @date 2022-04-02
 */
public class TeacherMusicSheetVo {

    @ApiModelProperty("曲目审核id")
    private Long authMusicSheetId;

    @ApiModelProperty("0:新增，1：修改")
    private Integer firstAuth;

    @ApiModelProperty("老师编号ID")
    private Long teacherId;

    @ApiModelProperty("老师昵称")
    private String username;

    @ApiModelProperty("老师真实姓名")
    private String realName;

    @ApiModelProperty("手机号码")
    private String phone;

    @ApiModelProperty("曲谱id")
    private Long musicSheetId;

    @ApiModelProperty("曲谱名称")
    private String musicSheetName;

    @ApiModelProperty(value = "封面图")
    private String titleImg;  //曲谱名称

    @ApiModelProperty(value = "音乐家")
    private String composer;  //音乐家

    @ApiModelProperty(value = "伴奏类型 HOMEMODE:自制伴奏  COMMON:普通伴奏")
    private AccompanimentTypeEnum accompanimentType;

    @ApiModelProperty(value = "曲谱标签(多个标签用逗号分隔)")
    private String musicTag;  //曲谱标签(多个标签用逗号分隔)

    @ApiModelProperty("曲目分类名")
    private String musicTagNames;

    @ApiModelProperty(value = "默认播放速度")
    private Integer playSpeed;  //默认播放速度

    @ApiModelProperty(value = "曲谱价格")
    private java.math.BigDecimal musicPrice;  //曲谱价格

    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;  //创建时间

    @ApiModelProperty(value = "审核状态(DOING:待审核;PASS:通过;UNPASS:未通过)")
    private AuthStatusEnum auditStatus;
    
    @ApiModelProperty(value = "精品标志(0:否;1:是)")
    private YesOrNoEnum exquisiteFlag;

    @ApiModelProperty("审批人姓名")
    private String auditName;

    public Integer getFirstAuth() {
        return firstAuth;
    }

    public void setFirstAuth(Integer firstAuth) {
        this.firstAuth = firstAuth;
    }

    public Long getAuthMusicSheetId() {
        return authMusicSheetId;
    }

    public void setAuthMusicSheetId(Long authMusicSheetId) {
        this.authMusicSheetId = authMusicSheetId;
    }

    public AccompanimentTypeEnum getAccompanimentType() {
        return accompanimentType;
    }

    public void setAccompanimentType(AccompanimentTypeEnum accompanimentType) {
        this.accompanimentType = accompanimentType;
    }

    public String getTitleImg() {
        return titleImg;
    }

    public void setTitleImg(String titleImg) {
        this.titleImg = titleImg;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public String getMusicSheetName() {
        return musicSheetName;
    }

    public void setMusicSheetName(String musicSheetName) {
        this.musicSheetName = musicSheetName;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getMusicTag() {
        return musicTag;
    }

    public void setMusicTag(String musicTag) {
        this.musicTag = musicTag;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public Integer getPlaySpeed() {
        return playSpeed;
    }

    public void setPlaySpeed(Integer playSpeed) {
        this.playSpeed = playSpeed;
    }

    public BigDecimal getMusicPrice() {
        return musicPrice;
    }

    public void setMusicPrice(BigDecimal musicPrice) {
        this.musicPrice = musicPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public AuthStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuthStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

	public YesOrNoEnum getExquisiteFlag() {
		return exquisiteFlag;
	}

	public void setExquisiteFlag(YesOrNoEnum exquisiteFlag) {
		this.exquisiteFlag = exquisiteFlag;
	}
}
